Log::Dispatch::File::Locked(3)

NAME
Log::Dispatch::File::Locked - Subclass of Log::Dispatch::File to facilitate locking

VERSION
version 2.32

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'File::Locked',
              min_level => 'info',
              filename  => 'Somefile.log',
              mode      => '>>',
              newline   => 1
          ]
      ],
  );

  $log->emerg("I've fallen and I can't get up");

DESCRIPTION
This module acts exactly like Log::Dispatch::File except that it obtains an exclusive lock on the file before writing to it.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)